--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns the Repository
- !ruby/struct:SM::Flow::P 
  body: "@return [Repository]"
- !ruby/struct:SM::Flow::VERB 
  body: "  the Repository this Collection is associated with\n"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Collection#repository
is_singleton: false
name: repository
params: ()
visibility: public
